Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core.gui
Interface UndoInterface

All Known Implementing Classes:
  JobMeta, TransMeta

    public interface UndoInterface

Method Summary
`void` | `addUndo(Object[] from, Object[] to, int[] pos, org.pentaho.di.core.gui.Point[] prev, org.pentaho.di.core.gui.Point[] curr, int type_of_change, boolean nextAlso)` Add an undo operation to the undo list
`int` | `getMaxUndo()` Get the maximum number of undo operations possible
`TransAction` | `nextUndo()` Get the next undo transaction on the list.
`TransAction` | `previousUndo()` Get the previous undo operation and change the undo pointer
`void` | `setMaxUndo(int mu)` Sets the maximum number of undo operations that are allowed.
`TransAction` | `viewNextUndo()` Get the next undo transaction on the list.
`TransAction` | `viewPreviousUndo()` View previous undo, don't change undo position
`TransAction` | `viewThisUndo()` View current undo, don't change undo position

Method Detail

### addUndo

    void addUndo(Object[] from,
                 Object[] to,
                 int[] pos,
                 org.pentaho.di.core.gui.Point[] prev,
                 org.pentaho.di.core.gui.Point[] curr,
                 int type_of_change,
                 boolean nextAlso)

  Add an undo operation to the undo list

  Parameters:
    `from` - array of objects representing the old state
    `to` - array of objectes representing the new state
    `pos` - An array of object locations
    `prev` - An array of points representing the old positions
    `curr` - An array of points representing the new positions
    `type_of_change` - The type of change that's being done to the transformation.
    `nextAlso` - indicates that the next undo operation needs to follow this one.

### getMaxUndo

    int getMaxUndo()

  Get the maximum number of undo operations possible

  Returns:
    The maximum number of undo operations that are allowed.

### setMaxUndo

    void setMaxUndo(int mu)

  Sets the maximum number of undo operations that are allowed.

  Parameters:
    `mu` - The maximum number of undo operations that are allowed.

### previousUndo

    TransAction previousUndo()

  Get the previous undo operation and change the undo pointer

  Returns:
    The undo transaction to be performed.

### viewThisUndo

    TransAction viewThisUndo()

  View current undo, don't change undo position

  Returns:
    The current undo transaction

### viewPreviousUndo

    TransAction viewPreviousUndo()

  View previous undo, don't change undo position

  Returns:
    The previous undo transaction

### nextUndo

    TransAction nextUndo()

  Get the next undo transaction on the list. Change the undo pointer.

  Returns:
    The next undo transaction (for redo)

### viewNextUndo

    TransAction viewNextUndo()

  Get the next undo transaction on the list.

  Returns:
    The next undo transaction (for redo)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD